package com.tcctlo.law.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctlo.common.core.domain.AjaxResult;
import com.tcctlo.law.entity.ContractFormParameter;
import com.tcctlo.law.service.IContractFormParameterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 合同表单参数 前端控制器
 * </p>
 *
 * @author 
 * @since 2025-02-21
 */

@RestController
@RequestMapping("/contractFormParameter")
public class ContractFormParameterController {


    @Autowired
    private IContractFormParameterService iContractFormParameterService;

    @GetMapping(value = "/list")
    public AjaxResult list(@RequestParam(required = false) Integer current, @RequestParam(required = false) Integer size) {
        if (current == null) {
            current = 1;
        }
        if (size == null) {
            size = 10;
        }
        Page<ContractFormParameter> pageList = iContractFormParameterService.list(current,size);
        return AjaxResult.success(pageList);
    }


    @GetMapping(value = "/{id}")
    public AjaxResult getById(@PathVariable("id") Long id) {
        ContractFormParameter contractFormParameter = iContractFormParameterService.getById(id);
        return AjaxResult.success(contractFormParameter);
    }

    @PostMapping(value = "/create")
    public AjaxResult create(@RequestBody ContractFormParameter params) {
        Integer result = iContractFormParameterService.create(params);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/delete/{id}")
    public AjaxResult delete(@PathVariable("id") Long id) {
        Integer result =  iContractFormParameterService.delete(id);
        return AjaxResult.success(result);
    }

    @PostMapping(value = "/update")
    public AjaxResult update(@RequestBody ContractFormParameter params) {
        Integer result = iContractFormParameterService.update(params);
        return AjaxResult.success(result);
    }
}
