package com.tcctlo.law.entity;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 合同表单参数
 * </p>
 *
 * @author 
 * @since 2025-02-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("contract_form_parameter")
public class ContractFormParameter implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联合同模板ID
     */
    private Long contractId;

    /**
     * 表单属性名【英文】
     */
    private String formAttrName;

    /**
     * 表单属性名【释义】
     */
    private String formAttrExplain;

    /**
     * 表单属性类型
     */
    private String formAttrType;

    /**
     * 是否必填【0：必填，1：否】
     */
    private Integer isRequire;

    /**
     * 状态【0：正常，1：停用】
     */
    private Integer status;

    /**
     * 删除标志【0：未删除，1：已删除】
     */
    private Integer delFag;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

}
