package com.tcctlo.law.entity;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 金额催收记录
 * </p>
 *
 * @author 
 * @since 2025-02-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("demand_payment_record")
public class DemandPaymentRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联案件ID（催收哪一个案件的消息）
     */
    private Long caseId;

    /**
     * 催收内容
     */
    private String collectionContent;

    /**
     * 是否已读（0：已读，1：未读）
     */
    private Integer isRead;

    /**
     * 催收人ID（关联系统用户ID）
     */
    private Long collectionUserId;

    /**
     * 催收人名称
     */
    private String collectionUserName;

    /**
     * 状态【0：正常，1：停用】
     */
    private Integer status;

    /**
     * 删除标志【0：未删除，1：已删除】
     */
    @TableLogic
    private Integer delFlag;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改者
     */
    private String updateBy;

    /**
     * 修改时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

}
