package com.tcctlo.law.service;

import com.tcctlo.law.entity.CollectionRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctlo.law.vo.CollectionRecordEnterVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 收款记录表 服务类
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
public interface ICollectionRecordService extends IService<CollectionRecord> {

    /**
     * <p>
     * 分页列表查询
     * </p>
     *
     * @param pageNo
     * @param pageSize
     * @return
     */
    Page<CollectionRecord> list(Integer pageNo, Integer pageSize);

    /**
     * <p>
     * 详情接口
     * </p>
     *
     * @param id
     * @return
     */
    CollectionRecord getById(Long id);

    /**
     * <p>
     * 新增接口
     * </p>
     *
     * @param collectionRecord
     * @return
     */
    Integer create(CollectionRecord collectionRecord);


    /**
     * <p>
     * 删除接口
     * </p>
     *
     * @param id
     * @return
     */
    Integer delete(Long id);

    /**
     * <p>
     * 更新接口
     * </p>
     *
     * @param collectionRecord
     * @return
     */
    Integer update(CollectionRecord collectionRecord);

    /**
     * 案件缴费
     *
     * @param params 参数
     */
//    void casePayment(CollectionRecordEnterVO params);

//    /**
//     * 批量案件缴费
//     *
//     * @param params 参数
//     */
//    Boolean casePaymentBatch(List<CollectionRecordEnterVO> params);

    /**
     * 逻辑删除缴费记录
     *
     * @param id 缴费记录ID
     * @return 是否删除成功
     */
    Integer deleteLogic(Map<String, Long> params);

    /**
     * 根据案件ID查询缴费记录
     * @param caseId 案件ID
     * @return 结果集
     */
    List<CollectionRecordEnterVO> selectByCaseId(Long caseId);

    /**
     * 收费记录审核
     * @param map 参数
     * @return 结果集
     */
    Boolean audit(Map<String, Long> map);

    /**
     * 财务管理--新增缴费记录
     * @param collectionRecord
     * @return
     */
    Integer addCollectionRecord(CollectionRecord collectionRecord);
}
