package com.tcctlo.law.service;

import com.tcctlo.law.entity.IndexStatistics;
import com.tcctlo.law.searcher.TimeSearcher;
import com.tcctlo.law.vo.IndexLawCaseMoneyInfo;

import java.util.Date;
import java.util.List;

/**
 * 首页service
 */
public interface IIndexService {

    /**
     * 案件类型统计
     *
     * @return 结果集
     */
    List<IndexStatistics> caseTypeStatistics(Date startTime, Date endTime);

    /**
     * 利冲统计
     *
     * @return 结果集
     */
    List<IndexStatistics> conflictStatistics(Date startTime, Date endTime);

    /**
     * 费用统计
     *
     * @return 结果集
     */
    List<IndexStatistics> costStatistics(Date startTime, Date endTime);

    /**
     * 收益走势
     * @param startTime 起始时间
     * @param endTime 结束时间
     * @return 数据集
     */
    List<IndexStatistics> earningsTrend(Date startTime, Date endTime);


    /**
     * 所有律师信息
     * @return 结果集
     */
    List<IndexLawCaseMoneyInfo> lawInfo(TimeSearcher searcher);
}
