package com.tcctlo.law.tools;

import cn.hutool.core.util.IdUtil;

import java.text.SimpleDateFormat;
import java.util.Date;

public class GenerateCaseNo {
    private static int dailyCounter = 0;
    private static String lastDate = "";

    public static synchronized String generateRecordNumber() {
        // 获取当前日期
        String currentDate = java.time.LocalDate.now().toString();

        // 如果日期变化，重置计数器
        if (!currentDate.equals(lastDate)) {
            dailyCounter = 0;
            lastDate = currentDate;
        }

        // 增加计数器
        dailyCounter++;

        // 格式化编号，假设编号前缀为 "REC-"，后跟日期和三位计数器
        String recordNumber = String.format("REC-%s-%03d", currentDate.replace("-", ""), dailyCounter);

        return recordNumber;
    }

    public String generateCaseNo() {
        // 获取当前日期和时间（精确到秒）
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyyMMddHHmmss");
        String currentDateTime = dateFormat.format(new Date());

        // 生成4位随机数
        String strRandom = IdUtil.fastSimpleUUID();

        // 组合成订单编号
        return currentDateTime + "-" + strRandom;
    }


}
